Bug 217142 - "sysctl -a" generates kernel warnings
Summary: "sysctl -a" generates kernel warnings
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: procps
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Smetana
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 218524 246258
TreeView+ depends on / blocked
 
Reported: 2006-11-24 10:26 UTC by Bastien Nocera
Modified: 2018-10-19 21:31 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-05-21 14:31:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0298 normal SHIPPED_LIVE procps bug fix and enhancement update 2008-05-20 18:34:59 UTC

Description Bastien Nocera 2006-11-24 10:26:04 UTC
procps-3.2.7-8

When doing a network start, /etc/sysconfig/network-scripts/init.ipv6-global
calls "sysctl -a", which will generate kernel warnings:

Nov 10 16:46:51 test kernel: process `sysctl' is using deprecated sysctl
(syscall) net.ipv6.neigh.lo.base_reachable_time; Use
net.ipv6.neigh.lo.base_reachable_time_ms instead.

Not sure how to fix this apart from special casing that entry for the "-a".

Comment 1 RHEL Product and Program Management 2006-11-28 02:09:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jay Turner 2006-11-28 12:32:56 UTC
QE ack for RHEL5.

Comment 5 RHEL Product and Program Management 2007-02-08 00:54:01 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.


Comment 6 Bryn M. Reeves 2007-02-21 13:54:27 UTC
Reoppening - looks like there are some other deprecated sysctls that slipped
through in procps-3.2.7-8.1.el5:

# rpm -q procps
procps-3.2.7-8.1.el5
# sysctl -a
# grep depre /var/log/messages|tail -1
Feb 19 14:16:42 pq480-3-7 kernel: process `sysctl' is using deprecated sysctl
(syscall) net.ipv6.neigh.eth2.retrans_time; Use
net.ipv6.neigh.eth2.retrans_time_ms instead.

Comment 13 RHEL Product and Program Management 2007-10-19 20:32:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 21 errata-xmlrpc 2008-05-21 14:31:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0298.html



Note You need to log in before you can comment on or make changes to this bug.